aboutsummaryrefslogtreecommitdiffstats
path: root/meta-oe/recipes-extended
Commit message (Collapse)AuthorAgeFilesLines
* redis: upgrade 7.0-rc3 -> 7.0.0Changqing Li2022-05-311-1/+1
| | | | | Signed-off-by: Changqing Li <changqing.li@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* duktape: Add ptestNikhil R2022-05-262-1/+53
| | | | | | | | | | | | | | | | | | | | | | The Ptest for duktape executes below tests: 1. hello - a helloworld example is basic compilation test that test the APIs - duk_get_top(), duk_push_c_function(), duk_eval_string() 2. eval - a very simple for evaluating expressions from command line which test the APIs - duk_push_string(), duk_insert(), duk_join(), duk_pop() 3. evloop - a basic eventloop implementation test that test the APIs - duk_is_object(), duk_compile() duk_push_c_function(), duk_safe_call() Test Summary: Execution time = 46 sec Signed-off-by: Nikhil R <nikhil.r@kpit.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* p8platform: unbreak do_populate_sdkMarkus Volk2022-05-261-0/+2
| | | | | | | | | | | Error: Problem: package libcec-dev-6.0.2-r0.corei7_64 requires p8platform-dev, but none of the providers can be installed - conflicting requests - nothing provides p8platform = 2.1.0.1-r0 needed by p8platform-dev-2.1.0.1-r0.corei7_64 (try to add '--skip-broken' to skip uninstallable packages) Signed-off-by: Markus Volk <f_l_k@t-online.de> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* wxwidgets: enable to use private fontsKai Kang2022-05-151-1/+1
| | | | | | | | | Enable option wxUSE_PRIVATE_FONTS of wxwidgets if build with gtk. It allows application to use the font from the given file even if it is not globally installed on the system. Signed-off-by: Kai Kang <kai.kang@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* ostree: prevent ostree-native depending on target virtual/kernel to provide ↵Martin Jansa2022-05-141-1/+1
| | | | | | | kernel-module-overlay Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* polkit: add udisks2 ruleVyacheslav Yurkov2022-05-122-0/+41
| | | | | | | | The rule allows non-priviledged users from plugdev group to mount/unmount block devices Signed-off-by: Vyacheslav Yurkov <v.yurkov@precitec.de> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* libyang: upgrade 2.0.164 -> 2.0.194wangmy2022-05-091-1/+1
| | | | | | | | | | | | | Main changes of this release are: major yanglint improvements minor XPath fixes nested extension handling fixes other minor bugfixes RPM scripts updated Signed-off-by: Wang Mingyu <wangmy@fujitsu.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* icewm: upgrade 2.9.6 -> 2.9.7wangmy2022-05-091-1/+1
| | | | | | | | | | | | | | | | Changelog: ========== Fix for saving keyboard layouts in --rewrite-preferences. Faster and more reliable restart of icewmbg. Add themable preference ColorKeyboardLayoutText. Add KeySysKeyboardNext to switch to next keyboard layout. Document alternative keypad handling in icewm-keys(1). Handle right-to-left languages in icewm-menu-fdo. Add -g,--generic option to icewm-menu-fdo for GenericName in menus. Updated translations: Czech, Danish, Finnish, Turkish, German, French. Signed-off-by: Wang Mingyu <wangmy@fujitsu.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* s-nail: Set VAL_MTAMingli Yu2022-05-052-1/+50
| | | | | | | | | | | | | | | | | | Some build server may provide sendmail like /usr/lib/sendmail which may result the VAL_MTA to be /usr/lib/sendmail during do_configure, but the sendmail is actually /usr/sbin/sendmail on the target. Fixes: # echo "invalide address email" | s-nail -s "test mail" -r test@test.com tester@test.com s-nail: Cannot start /usr/lib/sendmail: executable not found (adjust *mta* variable) /home/root/dead.letter 10/234 s-nail: ... message not sent # which sendmail /usr/sbin/sendmail Signed-off-by: Mingli Yu <mingli.yu@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* boinc-client: Make script install not depend on host install pathsKhem Raj2022-04-272-10/+60
| | | | | | | | The install target is checking for install paths on build host assuming thats where it will run too, which breaks cross builds. Add a patch to aide the install from recipe. Signed-off-by: Khem Raj <raj.khem@gmail.com>
* fluentbit: Disable systemd support when systemd distro feature is disabledKhem Raj2022-04-253-4/+5
| | | | Signed-off-by: Khem Raj <raj.khem@gmail.com>
* ostree: upgrade 2021.6 -> 2022.2wangmy2022-04-251-1/+1
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | Changelog: ========== 2022.02: lib/util: add syslog.h for ot_journal_print() lib/bootloader: use ot_journal_print() instead of sd-journal main: Also support CLI extensions in '/usr/libexec/libostree/ext' sysroot: Add a public '#define OSTREE_PATH_BOOTED' deploy: Add a 5s max timeout on global filesystem 'sync()' deploy: Also log to journal if we time out global sync() core: Mark 'ostree_create_directory_metadata' as '(not nullable)' lib/tar: Add some error prefixing build-sys: Drop '-Werror=aggregate-return' mtree: Use declare-and-initialize style mtree: Load traversed subdirs when creating parents Release 2022.2 configure: post-release version bump github: Workaround glib/seccomp issue on Ubuntu impish lib/repo: Add commit version metadata to summary metadata .lgtm.yml: Fix gpgme dependency lib/deploy: When deleting staged deployment, delete any lock ostree/deploy: Test finalization locking tests/kolainst: Avoid recursive symlinks ci/libbuild.sh: drop yum/CentOS support ci/make-git-snapshot.sh: fix archive name ci/make-git-snapshot.sh: auto-initialize submodules ci/make-git-snapshot.sh: xz the archive Add COPR integration Makefile lib/gpg-verify-result: Add missing floating annotation configure: post-release version bump libotutil: avoid leaking builder memory on error ostree: check g_setenv return value libostree/sepolicy: get rid of a g_setenv() call lib/commit: always validate metadata lib/commit: reject empty metadata keys builtin: use GCancellable and GError everywhere lib/repo: open file only if required lib/commit: clean up assertions lib/core: introduce two new object types for split xattrs lib/core: introduce 'bare-split-xattrs' mode lib/repo: read split xattrs content from file-xattrs-link objects lib/commit: disallow writing content in 'bare-split-xattrs' mode tests/basic-bare-split-xattrs: add fixture, check read logic man: Fix typo in ostree-admin-switch man: Fix typo in ostree-find-remotes s390x: add "IBM Secure Execution for Linux" support s390x: add LUKS keyfile to 'sd-boot' Fix marking static delta commits as partial lib/repo-refs: Remove misleading newline src/ostree: Add --commit-only option to ostree prune man/prune, bash: Add --commit-only flag for ostree prune tests/test-prune.sh: expand testing for --commit-only tests/test-prune.sh: Use TAP API libotutil: Avoid infinite recursion during error unwinding Update submodule: libglnx build(deps): bump libglnx from '803adaf' to '88da8dd' build(deps): bump libglnx from '88da8dd' to 'c71f7ae' 2022.01: repo: Change locking for summary regeneration to be shared soup-uri: Fix clang-analyzer warning by dropping dead code tests: Fix clang-analyzer not seeing through `g_error()` Update FSF license notices to use URL instead of address lib: misc static analysis fixes lib/repo: assert that writable state and error agree lib/repo: do no return an arbitrary mode on failure lib/repo: do no return a NULL on failure tests: assert mandatory values are present main: add support for CLI extensions via external binaries tests/cli-extensions: tweak test logic lib: use ostree-content-writer header bsdiff: bump submodule, pick up fix for CVE-2014-9862 lib/static-delta: throw a proper error on bspatch failure github: add dependabot config rofiles-fuse: Build using FUSE 3 if possible, falling back to FUSE 2 Signed-off-by: Wang Mingyu <wangmy@fujitsu.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* openwsman: upgrade 2.6.11 -> 2.7.1wangmy2022-04-251-1/+1
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | Changelog from 2.6.11 to 2.7.1 ============================== - Bugfixes - fix regression introduced in 2.5.0, __cimnamespace selector was not properly set in requests. - fixed several compiler warnings - code cleanup - general code robustness - msvc build fixes - cleanup passwords after use - drop RANDFILE in owsmangencert.h - fix potential NULL pointer dereference - MinGW build enablement - API change - client_opt: expiry and hearbeat_interval are float wsmc_set_sub_expiry() and wsmc_set_heartbeat_interval() change their first parameter from int to float - bump so version of libwsman_client from 4 to 5 - new functions for C++ bindings: OpenWsmanClient::GetWithFlags() and OpenWsmanClient::PutWithFlags to add a 'flags' parameter - add FLAG_SUPRESS_100_CONTINUE to options, fixes #131 to workaround a curl problem. Reportedly curl 7.69.0 fixes this also in curl. - fixed several compiler warnings - fixed spelling errors Signed-off-by: Wang Mingyu <wangmy@fujitsu.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* hexedit: upgrade 1.5 -> 1.6wangmy2022-04-251-1/+1
| | | | | | | | | | | | | | april 2022 - 1.6 - configure script must error-out when (n)curses isn't found - Move SIGWINCH handling from handler to NCURSES - Make configure.ac compliant with autoconf >= 2.70 - Check that malloc did not return NULL - Fix a possible memory leak in findFile() - Prevent division by zero on empty files. Signed-off-by: Wang Mingyu <wangmy@fujitsu.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* pam-ssh-agent-auth: Use specific versions of BSD licensesKhem Raj2022-04-251-1/+1
| | | | Signed-off-by: Khem Raj <raj.khem@gmail.com>
* boinc-client: Do not overwrite same file when using usrmergeKhem Raj2022-04-251-1/+2
| | | | | | in case usrmerge is enabled, unit file is already in expected location Signed-off-by: Khem Raj <raj.khem@gmail.com>
* mozjs: Use vendored icu on ppc/clangKhem Raj2022-04-251-0/+2
| | | | | | | This helps compile gjs, external icu is needed with gcc-12 but not with clang Signed-off-by: Khem Raj <raj.khem@gmail.com>
* scsirastools: Fix build with usrmergeKhem Raj2022-04-251-1/+1
| | | | Signed-off-by: Khem Raj <raj.khem@gmail.com>
* fluentbit: Fix build with usrmerge distro featureKhem Raj2022-04-252-1/+30
| | | | Signed-off-by: Khem Raj <raj.khem@gmail.com>
* mozjs-91: Add option to use system ICUKhem Raj2022-04-211-4/+6
| | | | | | | | | | | | ARM needs to use system icu, otherwise build fails with gcc-12 firefox-91.8.0/intl/icu/source/common/stringtriebuilder.cpp:388: more undefined references to `std::type_info::operator==(std::type_info const&) const' follow | collect2: error: ld returned 1 exit status Keep using vendored ICU on mips since this breaks build for gjs introspection code which is run under qemu-user Signed-off-by: Khem Raj <raj.khem@gmail.com>
* mozjs-91: Disable stripKhem Raj2022-04-211-0/+1
| | | | | | OE build takes care of this during packaging anyway Signed-off-by: Khem Raj <raj.khem@gmail.com>
* dlt-daemon: Fix build on rv32/rv64Khem Raj2022-04-202-0/+48
| | | | | | This is seen with gcc particularly Signed-off-by: Khem Raj <raj.khem@gmail.com>
* mozjs-91: Upgrade to 91.8.0Khem Raj2022-04-201-1/+1
| | | | Signed-off-by: Khem Raj <raj.khem@gmail.com>
* gnuplot: inherit pkgconfigPreeti Sachan2022-04-191-1/+1
| | | | | | | | Inherited pkgconfig to fix pngcairo terminal compilation enabled by default with pkgconfig option PACKAGECONFIG[cairo] Signed-off-by: Preeti Sachan <preeti.sachan@intel.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* linuxconsole: Fix makefile issue found with clangKhem Raj2022-04-142-0/+38
| | | | | Signed-off-by: Khem Raj <raj.khem@gmail.com> Cc: Wang Mingyu <wangmy@fujitsu.com>
* s-nail: upgrade 14.9.23 -> 14.9.24wangmy2022-04-141-1/+1
| | | | | | | | | | | | | | | | | | | Changelog: ========= - Release tarball might be in --format=pax. - Again honour MTA arguments passed after the "--" command line "option" in non-send-only mode (broken since at least v14.9.12). - support Microsoft IMAP servers. - Fix crash due to crafted emails. - Fix *expandargv*#419=restrict (broken since v14.9.0). - Fix a bug from nail 10.08 as of 2004-06-28 that leads to crashes when some file cannot be loaded. And while here fix one file-close overshoot of mine in since v14.9.16, that would cause panics in debug-enabled code. - deal with argc==0 aka CVE-2021-4034. Signed-off-by: Wang Mingyu <wangmy@fujitsu.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* pegtl: upgrade 3.2.1 -> 3.2.5wangmy2022-04-141-2/+2
| | | | | | | | | Changelog: ========== Added missing include for fallback demangle() implementations. Signed-off-by: Wang Mingyu <wangmy@fujitsu.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* pam-plugin-ldapdb: upgrade 1.3 -> 1.3.1wangmy2022-04-142-29/+2
| | | | | | | | 0001-include-stdexcept-for-std-invalid_argument.patch removed since it's included in 1.3.1 Signed-off-by: Wang Mingyu <wangmy@fujitsu.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* linuxconsole: upgrade 1.7.0 -> 1.7.1wangmy2022-04-131-1/+1
| | | | | | | | | | | Changelog: ========= * inputattach supports the Gunze protocol * Three missing dependencies were added in the Makefile * An overflow in ffcfstress was fixed Signed-off-by: Wang Mingyu <wangmy@fujitsu.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* redis: upgrade to 7.0-rc3Oleksandr Kravchuk2022-04-131-1/+1
| | | | | Signed-off-by: Oleksandr Kravchuk <open.source@oleksandr-kravchuk.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* icewm:include imlib2-loaders packageKARN JYE LAU2022-04-131-1/+1
| | | | | | | | | icewm 2.0.0 above have use imlib2 as default rendering engine.Update icewm recipe to include the essential packages for icewm to work properly. Signed-off-by: KARN JYE LAU <karn.jye.lau@intel.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* logwatch: upgrade 7.5.3 -> 7.6wangmy2022-04-121-3/+2
| | | | | | | License-Update: Copyright year updated to 2021. Signed-off-by: Wang Mingyu <wangmy@fujitsu.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* icewm: upgrade 2.9.0 -> 2.9.6wangmy2022-04-121-1/+1
| | | | | | | | Changelog from 2.9.0 to 2.9.6: https://github.com/ice-wm/icewm/blob/2.9.6/NEWS Signed-off-by: Wang Mingyu <wangmy@fujitsu.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* byacc: upgrade 20211224 -> 20220128wangmy2022-04-111-2/+2
| | | | | | | | | | | | | | | | | | All changes from 20211224 to 20220128 included in https://invisible-island.net/byacc/CHANGES.html License-Update: ---------------- - Add Format, Upstream-Name, Upstream-Contact to byacc. - Add "Copyright: 2001-2021,2022 by Thomas E. Dickey" to all files of byacc. - Copyright of aclocal.m4 and package/debian/* updated to 2022. - Modify Licence to License. - Add "Copyright: 1992-2021 Free Software Foundation, Inc." and "License: GPL-3" to config.guess config.sub Signed-off-by: Wang Mingyu <wangmy@fujitsu.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* haveged: upgrade 1.9.17 -> 1.9.18wangmy2022-04-111-1/+1
| | | | | | | | | | Changelog: ========= Round bits up and target full pool size Specify the right kernel commit in README Signed-off-by: Wang Mingyu <wangmy@fujitsu.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* gnuplot: Disable libcerf and fix typoKhem Raj2022-04-101-1/+2
| | | | | | | | | We do not carry recipe for libcerf, so disable it explicitly so the native builds are also a bit more deterministic. Fix a typo in knob to disable wxwidgets Signed-off-by: Khem Raj <raj.khem@gmail.com>
* wxwidgets: Fix building without x11Scott Murray2022-04-101-3/+3
| | | | | | | | | | | | | | | Building with wayland and opengl in DISTRO_FEATURES without x11 as well was giving the error: wxwidgets: PACKAGECONFIG[no_gui] Conflict package config 'opengl' set in PACKAGECONFIG. Upon some investigation, it looks like wxwidgets now supports building against Gtk's Wayland support, so we can also enable it if wayland is in DISTRO_FEATURES. For OpenGL, however, wxwidgets seems to have a dependency on libglu, so the DISTRO_FEATURES check has been changed to only enable it by default if both x11 and opengl are configured. Signed-off-by: Scott Murray <scott.murray@konsulko.com>
* libyang: do not inherit binconfig-disabledYi Zhao2022-04-101-2/+1
| | | | | | | | Do not inherit binconfig-disabled as pcre2-config is not required by upstream. Signed-off-by: Yi Zhao <yi.zhao@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* wxwidgets: fix wx-config multilib issueKai Kang2022-04-072-0/+60
| | | | | | | | | | | It sets 'libdir' with path element 'lib' directly which is not suitable for multilib. Add an option '--baselib' for wx-config to support multilib when cross compile. And set EGREP for wx-config to avoid host contamination. Signed-off-by: Kai Kang <kai.kang@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* libzip: add CVE-2017-12858 to allowlistMatsunaga-Shinji2022-04-061-0/+3
| | | | | | | Patch for CVE-2017-12858 is applied in version 1.2.0. Signed-off-by: matsunaga-shinji <shin.matsunaga@fujitsu.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* wxwidgets: git -> gitsm to fix build when no x11Robert Yang2022-04-061-1/+1
| | | | | | | | | | | Fixed when x11 is not in DISTRO_FEATURES: $ bitbake wxwidgets CMake Error at build/cmake/functions.cmake:542 (add_library): Cannot find source file: /path/to/core2-64-wrs-linux/wxwidgets/3.1.5-r0/git/src/expat/expat/lib/xmlparse.c Signed-off-by: Robert Yang <liezhi.yang@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* wxwidgets: Fix checking for PACKAGECONFIG and DISTRO_FEATURESRobert Yang2022-04-061-5/+6
| | | | | | | | | | | | | | The PACKAGECONFIG depends on DISTRO_FEATURES, not DISTRO_FEATURES depends on PACKAGECONFIG. And the REQUIRED_DISTRO_FEATURES is not needed since it can work with gtk or x11. Fixed when x11 is not in DISTRO_FEATURES: $ bitbake wxwidgets ERROR: Nothing PROVIDES 'wxwidgets' wxwidgets was skipped: missing required distro feature 'x11' (not in DISTRO_FEATURES) Signed-off-by: Robert Yang <liezhi.yang@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* wxwidgets: fix typoKai Kang2022-03-311-1/+1
| | | | | Signed-off-by: Kai Kang <kai.kang@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* wxwidgets: 3.1.4 -> 3.1.5Kai Kang2022-03-303-10/+43
| | | | | | | | | | | | | * correct LICENSE name which should be 'WXWindows' according to https://www.wxwidgets.org/about/licence/ remove the 'wxWidgets' license file and use the one in oe-core * native wx-conf from wxwidgets is required by python3-wxgtk4, so extend wxwidgets-native and remove packageconfig opengl for -native. * add patch to correct library names * add packageconfig 'curl' Signed-off-by: Kai Kang <kai.kang@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* libqb: upgrade 2.0.4 -> 2.0.6Wang Mingyu2022-03-291-1/+1
| | | | | Signed-off-by: Wang Mingyu <wangmy@fujitsu.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* duktape: Use baselib to construct LIBDIRKhem Raj2022-03-281-1/+1
| | | | | | | duktape's definition of LIBDIR does not correspond on to one on OE's therefore synthesize it from baselib instead Signed-off-by: Khem Raj <raj.khem@gmail.com>
* pmdk: Fix build with newer ndctlKhem Raj2022-03-262-1/+71
| | | | Signed-off-by: Khem Raj <raj.khem@gmail.com>
* polkit: switch from mozjs to duktape javascript engineMikko Rapeli2022-03-254-104/+3466
| | | | | | | | | | | | | cherry-pick the change from polkit 0.120+ upstream since it applies directly to 0.119. Drop mozjs patches. Removes mozjs and its dependency nspr from images. They account for roughly 21 Mb on 64bit ARM machines. The replacement libduktape is roughly 300 kb in size. Thus this saves at least 20 Mb in rootfs size when polkit is used. Signed-off-by: Mikko Rapeli <mikko.rapeli@bmw.de> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* polkit: add patches for CVE-2021-4034 and CVE-2021-4115Mikko Rapeli2022-03-253-0/+174
| | | | | | | They were available in polkit master branch and cherry-pick to 0.119 version works so pick the patches. Signed-off-by: Mikko Rapeli <mikko.rapeli@bmw.de>
* polkit: Fix build with libtool 2.4.7Scott Murray2022-03-251-0/+4
| | | | | | | | | | | | | | Delete old m4 macros, so autoreconf can repopulate it. Fixes libtool: Version mismatch error. This is libtool 2.4.7, but the libtool: definition of this LT_INIT comes from libtool 2.4.6. libtool: You should recreate aclocal.m4 with macros from libtool 2.4.7 libtool: and run autoconf again. Signed-off-by: Scott Murray <scott.murray@konsulko.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>